Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceAccountService

public interface VoiceAccountService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkVoiceAccountIsActive(VoiceAccount voiceAccount)`
  `List<VoiceAccount>`
  `getVoiceAccounts(int deviceId)`
  Получение списка аккаунтов, к которым привязано определенное устройство.
  `int`
  `voiceAccountDelete(int accountId)`
  Удаление аккаунта по его коду в БД.
  `VoiceAccount`
  `voiceAccountGet(int accountId)`
  Получение одного конкретного аккаунта по его коду в БД.
  `List<VoiceAccount>`
  `voiceAccountList(int contractId, int contractObjectId, Period period)`
  Получение списка аккаунта с фильтрацией по договору.
  `void`
  `voiceAccountListDelete(List<Integer> accountIds)`
  `void`
  `voiceAccountPasswordGenerate(int accountId)`
  `void`
  `voiceAccountPeriodUpdate(int accountId, Date dateFrom, Date dateTo)`
  `void`
  `voiceAccountRelocate(int accountId, int toContractId)`
  `List<IdTitle>`
  `voiceAccountSpecTitleList()`
  `int`
  `voiceAccountTypeDelete(int accountTypeId)`
  Удаление типа аккаунта по его коду в БД.
  `VoiceAccountType`
  `voiceAccountTypeGet(int accountTypeId)`
  Получение одного конкретного типа аккаунта по его коду в БД.
  `List<VoiceAccountType>`
  `voiceAccountTypeList()`
  Получение списка типов аккаунта
  `int`
  `voiceAccountTypeUpdate(VoiceAccountType accountType)`
  Добавление/изменение типа аккаунта.
  `int`
  `voiceAccountUpdate(VoiceAccount account)`
  Добавление/изменение аккаунта.
  `int`
  `voiceOperAccountDelete(int accountId)`
  Удаление аккаунта по его коду в БД.
  `VoiceOperAccount`
  `voiceOperAccountGet(int accountId)`
  Получение одного конкретного аккаунта по его коду в БД.
  `List<VoiceOperAccount>`
  `voiceOperAccountList(int contractId, Period period)`
  Получение списка аккаунта с фильтрацией по договору.
  `int`
  `voiceOperAccountTypeDelete(int accountTypeId)`
  Удаление типа аккаунта по его коду в БД.
  `VoiceOperAccountType`
  `voiceOperAccountTypeGet(int accountTypeId)`
  Получение одного конкретного типа аккаунта по его коду в БД.
  `List<VoiceOperAccountType>`
  `voiceOperAccountTypeList()`
  Получение списка типов аккаунта
  `int`
  `voiceOperAccountTypeUpdate(VoiceOperAccountType accountType)`
  Добавление/изменение типа аккаунта.
  `int`
  `voiceOperAccountUpdate(VoiceOperAccount account)`
  Добавление/изменение аккаунта.
  `int`
  `voiceOperatorDelete(int id)`
  Удаление выбранного оператора по его коду.
  `VoiceOperator`
  `voiceOperatorGet(int id)`
  Получение одного оператора по его коду.
  `List<VoiceOperator>`
  `voiceOperatorList()`
  Получение списка операторов отсортированных по коду.
  `int`
  `voiceOperatorUpdate(VoiceOperator operator)`
  Добавление нового или редактирование существующего оператора.
  `Result<VoiceAccount>`
  `voiceSearchAccount(VoiceAccountSearchParam searchParam, Page page)`
  Поиск аккаунта по разным критериям поиска
  `SearchResult<VoiceOperAccount>`
  `voiceSearchAccount(VoiceOperAccountSearchParam searchParam, Page page)`
  `int`
  `voiceSessionDetailOrderDelete(VoiceSessionDetailOrder order)`
  `List<VoiceSessionDetailOrder>`
  `voiceSessionDetailOrderList(int accountId, int contractId)`
  `void`
  `voiceSessionDetailOrderUpdate(VoiceSessionDetailOrder order)`

- ## Method Details

  - ### voiceAccountList

    List<VoiceAccount> voiceAccountList(int contractId, int contractObjectId, Period period) throws ru.bitel.bgbilling.common.BGException
    Получение списка аккаунта с фильтрацией по договору.
    Parameters:
      `contractId` - код договора
      `contractObjectId` - код объекта
      `period` - код объекта
    Returns:
      список аккаунтов договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountGet

    VoiceAccount voiceAccountGet(int accountId) throws ru.bitel.bgbilling.common.BGException
    Получение одного конкретного аккаунта по его коду в БД.
    Parameters:
      `accountId` - код аккаунта
    Returns:
      аккаунт
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountUpdate

    int voiceAccountUpdate(VoiceAccount account) throws ru.bitel.bgbilling.common.BGException
    Добавление/изменение аккаунта. Если код аккаунта > 0, то произойдет обновление его полей, в противном случае - добавление нового аккаунта
    Parameters:
      `account` - аккаунт
    Returns:
      код добавленного/измененного аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountPeriodUpdate

    void voiceAccountPeriodUpdate(int accountId, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountPasswordGenerate

    void voiceAccountPasswordGenerate(int accountId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `accountId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountDelete

    int voiceAccountDelete(int accountId) throws ru.bitel.bgbilling.common.BGException
    Удаление аккаунта по его коду в БД.
    Parameters:
      `accountId` - код аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getVoiceAccounts

    List<VoiceAccount> getVoiceAccounts(int deviceId) throws ru.bitel.bgbilling.common.BGException
    Получение списка аккаунтов, к которым привязано определенное устройство.
    Parameters:
      `deviceId` - код устройства, по которому нужно отфильтровать список аккаунтов.
    Returns:
      список аккаунтов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountTypeList

    List<VoiceAccountType> voiceAccountTypeList() throws ru.bitel.bgbilling.common.BGException
    Получение списка типов аккаунта
    Returns:
      список типов аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountSpecTitleList

    List<IdTitle> voiceAccountSpecTitleList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountTypeGet

    VoiceAccountType voiceAccountTypeGet(int accountTypeId) throws ru.bitel.bgbilling.common.BGException
    Получение одного конкретного типа аккаунта по его коду в БД.
    Parameters:
      `accountTypeId` - код аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountTypeUpdate

    int voiceAccountTypeUpdate(VoiceAccountType accountType) throws ru.bitel.bgbilling.common.BGException
    Добавление/изменение типа аккаунта. Если код типа аккаунта > 0, то будут обновлены все поля уже существующего типа аккаунта, в противном случае - добавление нового типа аккаунта
    Parameters:
      `accountType` - тип аккаунта
    Returns:
      код добавленного/измененного типа аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountTypeDelete

    int voiceAccountTypeDelete(int accountTypeId) throws ru.bitel.bgbilling.common.BGException
    Удаление типа аккаунта по его коду в БД.
    Parameters:
      `accountTypeId` - код типа аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceSearchAccount

    Result<VoiceAccount> voiceSearchAccount(VoiceAccountSearchParam searchParam, Page page) throws ru.bitel.bgbilling.common.BGException
    Поиск аккаунта по разным критериям поиска
    Parameters:
      `searchParam` - accountId поиск по id аккаунта. Передавайте -1, если поиск по id аккаунта не нужен login поиск по логину, соответствующему полю User-Name в радиус-запросах. Передавайте null, если поиск по логину не нужен number номер телефона, привязанный к аккаунту. typeId поиск по типу аккаунта. Соответствует id типа аккаунта из справочника типов аккаунтов title поиск по названию аккаунта, поле title
      `page` - номер и размер страницы для постраничного вывода информации
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkVoiceAccountIsActive

    void checkVoiceAccountIsActive(VoiceAccount voiceAccount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountListDelete

    void voiceAccountListDelete(List<Integer> accountIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceAccountRelocate

    void voiceAccountRelocate(int accountId, int toContractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceSessionDetailOrderList

    List<VoiceSessionDetailOrder> voiceSessionDetailOrderList(int accountId, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceSessionDetailOrderUpdate

    void voiceSessionDetailOrderUpdate(VoiceSessionDetailOrder order) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceSessionDetailOrderDelete

    int voiceSessionDetailOrderDelete(VoiceSessionDetailOrder order) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperAccountList

    List<VoiceOperAccount> voiceOperAccountList(int contractId, Period period) throws ru.bitel.bgbilling.common.BGException
    Получение списка аккаунта с фильтрацией по договору.
    Parameters:
      `contractId` - код договора
    Returns:
      список аккаунтов договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperAccountGet

    VoiceOperAccount voiceOperAccountGet(int accountId) throws ru.bitel.bgbilling.common.BGException
    Получение одного конкретного аккаунта по его коду в БД.
    Parameters:
      `accountId` - код аккаунта
    Returns:
      аккаунт
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperAccountUpdate

    int voiceOperAccountUpdate(VoiceOperAccount account) throws ru.bitel.bgbilling.common.BGException
    Добавление/изменение аккаунта. Если код аккаунта > 0, то произойдет обновление его полей, в противном случае - добавление нового аккаунта
    Parameters:
      `account` - аккаунт
    Returns:
      код добавленного/измененного аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperAccountDelete

    int voiceOperAccountDelete(int accountId) throws ru.bitel.bgbilling.common.BGException
    Удаление аккаунта по его коду в БД.
    Parameters:
      `accountId` - код аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperAccountTypeList

    List<VoiceOperAccountType> voiceOperAccountTypeList() throws ru.bitel.bgbilling.common.BGException
    Получение списка типов аккаунта
    Returns:
      список типов аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperAccountTypeGet

    VoiceOperAccountType voiceOperAccountTypeGet(int accountTypeId) throws ru.bitel.bgbilling.common.BGException
    Получение одного конкретного типа аккаунта по его коду в БД.
    Parameters:
      `accountTypeId` - код аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperAccountTypeUpdate

    int voiceOperAccountTypeUpdate(VoiceOperAccountType accountType) throws ru.bitel.bgbilling.common.BGException
    Добавление/изменение типа аккаунта. Если код типа аккаунта > 0, то будут обновлены все поля уже существующего типа аккаунта, в противном случае - добавление нового типа аккаунта
    Parameters:
      `accountType` - тип аккаунта
    Returns:
      код добавленного/измененного типа аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperAccountTypeDelete

    int voiceOperAccountTypeDelete(int accountTypeId) throws ru.bitel.bgbilling.common.BGException
    Удаление типа аккаунта по его коду в БД.
    Parameters:
      `accountTypeId` - код типа аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceSearchAccount

    SearchResult<VoiceOperAccount> voiceSearchAccount(VoiceOperAccountSearchParam searchParam, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperatorList

    List<VoiceOperator> voiceOperatorList() throws ru.bitel.bgbilling.common.BGException
    Получение списка операторов отсортированных по коду.
    Returns:
      список операторов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperatorGet

    VoiceOperator voiceOperatorGet(int id) throws ru.bitel.bgbilling.common.BGException
    Получение одного оператора по его коду.
    Parameters:
      `id` - код оператора.
    Returns:
      один конкретный оператор.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperatorUpdate

    int voiceOperatorUpdate(VoiceOperator operator) throws ru.bitel.bgbilling.common.BGException
    Добавление нового или редактирование существующего оператора.
    Parameters:
      `operator` - экземпляр оператора.
    Returns:
      TODO
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceOperatorDelete

    int voiceOperatorDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление выбранного оператора по его коду.
    Parameters:
      `id` - код оператора
    Returns:
      TODO
    Throws:
      `ru.bitel.bgbilling.common.BGException`